=== src/Makefile ===
#############################################################################
# Makefile for building: irwi
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 6 14:10:22 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_MOBILITY_BEARER -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtBearer -Iqmaemo5homescreenadaptor -I/targets/FREMANTLE_ARMEL/usr/include -Imoc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtBearer -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = rating.cpp \
		settingsdlg.cpp \
		main.cpp \
		mainwidget.cpp \
		irctrl.cpp \
		remote.cpp \
		remotedbmgr.cpp \
		selectremotedlg.cpp \
		advsettingsdlg.cpp \
		settingstable.cpp \
		aboutdlg.cpp \
		remotelistwidgetitem.cpp \
		onlinepollerthread.cpp \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp moc/moc_settingsdlg.cpp \
		moc/moc_mainwidget.cpp \
		moc/moc_irctrl.cpp \
		moc/moc_remote.cpp \
		moc/moc_remotedbmgr.cpp \
		moc/moc_selectremotedlg.cpp \
		moc/moc_advsettingsdlg.cpp \
		moc/moc_aboutdlg.cpp \
		moc/moc_onlinepollerthread.cpp \
		moc/moc_qmaemo5homescreenadaptor.cpp
OBJECTS       = obj/rating.o \
		obj/settingsdlg.o \
		obj/main.o \
		obj/mainwidget.o \
		obj/irctrl.o \
		obj/remote.o \
		obj/remotedbmgr.o \
		obj/selectremotedlg.o \
		obj/advsettingsdlg.o \
		obj/settingstable.o \
		obj/aboutdlg.o \
		obj/remotelistwidgetitem.o \
		obj/onlinepollerthread.o \
		obj/qmaemo5homescreenadaptor.o \
		obj/moc_settingsdlg.o \
		obj/moc_mainwidget.o \
		obj/moc_irctrl.o \
		obj/moc_remote.o \
		obj/moc_remotedbmgr.o \
		obj/moc_selectremotedlg.o \
		obj/moc_advsettingsdlg.o \
		obj/moc_aboutdlg.o \
		obj/moc_onlinepollerthread.o \
		obj/moc_qmaemo5homescreenadaptor.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = irwi
DESTDIR       = 
TARGET        = irwi

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/irwi1.0.0 || $(MKDIR) obj/irwi1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/irwi1.0.0/ && $(COPY_FILE) --parents rating.h settingsdlg.h mainwidget.h irctrl.h remote.h remotedbmgr.h selectremotedlg.h advsettingsdlg.h settingstable.h aboutdlg.h remotelistwidgetitem.h onlinepollerthread.h qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h obj/irwi1.0.0/ && $(COPY_FILE) --parents rating.cpp settingsdlg.cpp main.cpp mainwidget.cpp irctrl.cpp remote.cpp remotedbmgr.cpp selectremotedlg.cpp advsettingsdlg.cpp settingstable.cpp aboutdlg.cpp remotelistwidgetitem.cpp onlinepollerthread.cpp qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp obj/irwi1.0.0/ && (cd `dirname obj/irwi1.0.0` && $(TAR) irwi1.0.0.tar irwi1.0.0 && $(COMPRESS) irwi1.0.0.tar) && $(MOVE) `dirname obj/irwi1.0.0`/irwi1.0.0.tar.gz . && $(DEL_FILE) -r obj/irwi1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_settingsdlg.cpp moc/moc_mainwidget.cpp moc/moc_irctrl.cpp moc/moc_remote.cpp moc/moc_remotedbmgr.cpp moc/moc_selectremotedlg.cpp moc/moc_advsettingsdlg.cpp moc/moc_aboutdlg.cpp moc/moc_onlinepollerthread.cpp moc/moc_qmaemo5homescreenadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_settingsdlg.cpp moc/moc_mainwidget.cpp moc/moc_irctrl.cpp moc/moc_remote.cpp moc/moc_remotedbmgr.cpp moc/moc_selectremotedlg.cpp moc/moc_advsettingsdlg.cpp moc/moc_aboutdlg.cpp moc/moc_onlinepollerthread.cpp moc/moc_qmaemo5homescreenadaptor.cpp
moc/moc_settingsdlg.cpp: remote.h \
		rating.h \
		settingsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdlg.h -o moc/moc_settingsdlg.cpp

moc/moc_mainwidget.cpp: irctrl.h \
		mainwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwidget.h -o moc/moc_mainwidget.cpp

moc/moc_irctrl.cpp: irctrl.h
	/usr/bin/moc $(DEFINES) $(INCPATH) irctrl.h -o moc/moc_irctrl.cpp

moc/moc_remote.cpp: rating.h \
		remote.h
	/usr/bin/moc $(DEFINES) $(INCPATH) remote.h -o moc/moc_remote.cpp

moc/moc_remotedbmgr.cpp: remotedb.h \
		remote.h \
		rating.h \
		remotedbmgr.h
	/usr/bin/moc $(DEFINES) $(INCPATH) remotedbmgr.h -o moc/moc_remotedbmgr.cpp

moc/moc_selectremotedlg.cpp: remotedb.h \
		remote.h \
		rating.h \
		remotedbmgr.h \
		selectremotedlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) selectremotedlg.h -o moc/moc_selectremotedlg.cpp

moc/moc_advsettingsdlg.cpp: advsettingsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) advsettingsdlg.h -o moc/moc_advsettingsdlg.cpp

moc/moc_aboutdlg.cpp: aboutdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) aboutdlg.h -o moc/moc_aboutdlg.cpp

moc/moc_onlinepollerthread.cpp: onlinepollerthread.h
