=== ut/ut_remote/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jun 30 13:50:27 2010
# Project:  ut_remote.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile ut_remote.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_TESTLIB_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtTest -I/usr/include/qt4 -Imocs -I../stubs
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = ../stubs/qnetworkreply.cpp \
		../stubs/qnetworkaccessmanager.cpp \
		../stubs/qsettings.cpp \
		ut_remote.cpp \
		../../src/remote.cpp \
		../../src/rating.cpp mocs/moc_qnetworkaccessmanager.cpp \
		mocs/moc_remote.cpp \
		mocs/moc_ut_remote.cpp
OBJECTS       = objs/qnetworkreply.o \
		objs/qnetworkaccessmanager.o \
		objs/qsettings.o \
		objs/ut_remote.o \
		objs/remote.o \
		objs/rating.o \
		objs/moc_qnetworkaccessmanager.o \
		objs/moc_remote.o \
		objs/moc_ut_remote.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../ut.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		ut_remote.pro
QMAKE_TARGET  = test
DESTDIR       = 
TARGET        = test

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ut_remote.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../ut.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile ut_remote.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../ut.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ut_remote.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/test1.0.0 || $(MKDIR) objs/test1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/test1.0.0/ && $(COPY_FILE) --parents ../stubs/qnetworkreply.h ../stubs/qnetworkaccessmanager.h ../stubs/qsettings.h ../../src/remote.h ../../src/rating.h ut_remote.h objs/test1.0.0/ && $(COPY_FILE) --parents ../stubs/qnetworkreply.cpp ../stubs/qnetworkaccessmanager.cpp ../stubs/qsettings.cpp ut_remote.cpp ../../src/remote.cpp ../../src/rating.cpp objs/test1.0.0/ && (cd `dirname objs/test1.0.0` && $(TAR) test1.0.0.tar test1.0.0 && $(COMPRESS) test1.0.0.tar) && $(MOVE) `dirname objs/test1.0.0`/test1.0.0.tar.gz . && $(DEL_FILE) -r objs/test1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_qnetworkaccessmanager.cpp mocs/moc_remote.cpp mocs/moc_ut_remote.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_qnetworkaccessmanager.cpp mocs/moc_remote.cpp mocs/moc_ut_remote.cpp
mocs/moc_qnetworkaccessmanager.cpp: ../stubs/qnetworkaccessmanager.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../stubs/qnetworkaccessmanager.h -o mocs/moc_qnetworkaccessmanager.cpp

mocs/moc_remote.cpp: ../../src/rating.h \
		../../src/remote.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../../src/remote.h -o mocs/moc_remote.cpp

mocs/moc_ut_remote.cpp: ut_remote.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ut_remote.h -o mocs/moc_ut_remote.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/qnetworkreply.o: ../stubs/qnetworkreply.cpp ../stubs/qnetworkreply.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/qnetworkreply.o ../stubs/qnetworkreply.cpp

objs/qnetworkaccessmanager.o: ../stubs/qnetworkaccessmanager.cpp ../stubs/qnetworkreply.h \
		../stubs/qnetworkaccessmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/qnetworkaccessmanager.o ../stubs/qnetworkaccessmanager.cpp

objs/qsettings.o: ../stubs/qsettings.cpp ../stubs/qsettings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/qsettings.o ../stubs/qsettings.cpp

objs/ut_remote.o: ut_remote.cpp ut_remote.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/ut_remote.o ut_remote.cpp

objs/remote.o: ../../src/remote.cpp ../../src/remote.h \
		../../src/rating.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/remote.o ../../src/remote.cpp

objs/rating.o: ../../src/rating.cpp ../../src/rating.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/rating.o ../../src/rating.cpp

objs/moc_qnetworkaccessmanager.o: mocs/moc_qnetworkaccessmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_qnetworkaccessmanager.o mocs/moc_qnetworkaccessmanager.cpp

objs/moc_remote.o: mocs/moc_remote.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_remote.o mocs/moc_remote.cpp

objs/moc_ut_remote.o: mocs/moc_ut_remote.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_ut_remote.o mocs/moc_ut_remote.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
