=== debian/changelog ===
irwi (0.2-6) unstable; urgency=low

  * Fixed dependency issue

 -- Torste Aikio <zokier@unknown>  Mon, 12 Jul 2010 12:18:33 +0300
