## irwi 0.2-9

=== debian/changelog ===
irwi (0.2-9) unstable; urgency=low

  * Autobuilder workaround

 -- Torste Aikio <zokier@unknown>  Mon, 30 Aug 2010 13:18:33 +0300

irwi (0.2-8) unstable; urgency=low

  * Autobuilder workaround

 -- Torste Aikio <zokier@unknown>  Thu, 22 Jul 2010 13:18:33 +0300

irwi (0.2-7) unstable; urgency=low

  * Fixed postinst script

 -- Torste Aikio <zokier@unknown>  Thu, 22 Jul 2010 12:18:33 +0300
