=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: Small widget to control your TV etc
   This widget has basic controls to control IR controlled devices.
 XB-Maemo-Display-Name: Irreco Widget
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=54216
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAABGdBTUEAALGP
  C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
